Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 20 Dec 2014, 04:47
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects » Localization Project
Multilingual support on Puppy Linux 4.x/5.x
Moderators: Lobster, MU, raffy
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 3 [42 Posts]   Goto page: Previous 1, 2, 3 Next
Author Message
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Sun 14 Mar 2010, 02:36    Post subject:  

Is it possible to have a button that show what was the original english word that everybody knows what it means and then at next click it shift back to the local language?
_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 4459
Location: Gatineau (Qc), Canada

PostPosted: Sun 14 Mar 2010, 15:37    Post subject: Re: lang_support_all-1.0.sfs on any Puppy Linux 4.x  

shinobar wrote:
Now lang_support_all-1.0.sfs adds multilingual support on any Puppy Linux 4.x.


Merci !

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send private message Visit poster's website 
01micko


Joined: 11 Oct 2008
Posts: 7841
Location: qld

PostPosted: Sat 29 May 2010, 21:01    Post subject:  

Hello shinobar

Although I am mono-lingual , this SFS seems to work just fine in Lucid Puppy 5.

I did have a problem with my screen resolution though in the first setup.

I am testing French, not that I can speak French but I have been working with some of the guys localising Quickpet, a new program in Puppy , and French is one of the languages working with it so far.

Thanks for this.

Cheers

Mick

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Tue 15 Jun 2010, 11:40    Post subject: lang_support_all-1.4
Subject description: now supports Quirky-1.2 and Lupu-5.0.1.
 

Multilingal support on Puppy updated.
lang_support_all-1.4.sfs now supports 4.x and 5.x puppy/pupplets including Quirky-1.2 and Lupu-5.0.1.
Back to top
View user's profile Send private message Visit poster's website 
otropogo


Joined: 24 Oct 2009
Posts: 702
Location: Southern Rocky Mt. Trench

PostPosted: Tue 15 Jun 2010, 16:54    Post subject: conflict with pre-installed Chinese support?  

What happens if you load lang-support-all.sfs on a Puppy 4.3.1 system that already has Chinese display support installed?

Is there a danger of corruption?

_________________
otropogo@gmail.com facebook.com/otropogo
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Tue 15 Jun 2010, 20:33    Post subject: Re: conflict with pre-installed Chinese support?  

recommmended to use lang-support-all with native puppy/pupplet.
boot up with 'pfix=ram' option and make new pupsave, then apply lang-support-all-*.sfs.
Back to top
View user's profile Send private message Visit poster's website 
otropogo


Joined: 24 Oct 2009
Posts: 702
Location: Southern Rocky Mt. Trench

PostPosted: Wed 16 Jun 2010, 00:07    Post subject: Re: conflict with pre-installed Chinese support?  

shinobar wrote:
recommmended to use lang-support-all with native puppy/pupplet.
boot up with 'pfix=ram' option and make new pupsave, then apply lang-support-all-*.sfs.


Then reinstall all my other pets and reconfigure...

_________________
otropogo@gmail.com facebook.com/otropogo
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Sun 08 Aug 2010, 01:40    Post subject: lang_support_all-1.5  

Multilingal support on Puppy updated. See the first post of this topic.
Now Fatdog64, Lupu-5.1 ready, but no translations for IceWM nor Firefox.
Back to top
View user's profile Send private message Visit poster's website 
01micko


Joined: 11 Oct 2008
Posts: 7841
Location: qld

PostPosted: Sun 08 Aug 2010, 05:13    Post subject:  

shinobar

Mirror for lang_support_all-1.5.sfs

http://www.smokey01.com/01micko/lucid/lang_support_all-1.5.sfs

thanks to smokey01

Icewm has NLS files, and Firefox has NLS at the main site, and Language plugins so as far as I see that is not a big problem.. maybe though Icewm doesn't support CJK, not sure.

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Mon 09 Aug 2010, 09:33    Post subject: mirror  

01micko wrote:
Mirror for lang_support_all-1.5.sfs
http://www.smokey01.com/01micko/lucid/lang_support_all-1.5.sfs

thanks 01micko and smokey01.
Next time i will try to contain Firefox NLS.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
Bickz

Joined: 18 Sep 2010
Posts: 1

PostPosted: Sat 18 Sep 2010, 18:59    Post subject:  

Hello,

I'm a relative puppy noob, but i cannot apply the .sfs file as the opening post suggests, i'm dying to get puppy translated in dutch through this solution but i don't know what to do.

Am i suppose to extract it and drop it into sda1?

Thanks for the help in advance
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Sat 18 Sep 2010, 22:31    Post subject:  

Bickz wrote:
I'm a relative puppy noob, but i cannot apply the .sfs file as the opening post suggests, i'm dying to get puppy translated in dutch through this solution but i don't know what to do.

1. Install any of Puppy/pupplets 4.x/5.x with default settings(keyboard:us, locale:en-US).
2. Apply lang_support_all-*.sfs.
3. Countrywizard from menu or run /usr/sbin/countrywizard to change the language.
Add SFS File to Bootup(Puppy Linux FAQ) may help.

If you do not consist on some puppy, try the Lucid Puppy Quckset editon(LupQ), the Release candidate for now.
You need not lang_support_all with LupQ. The dutch language pack lang_pack_nl-lupq-0.1.pet, apply against only LupQ, is available. I made it today! Smile

ALBT.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
rodin.s

Joined: 22 Sep 2010
Posts: 338
Location: Ukraine

PostPosted: Sat 25 Sep 2010, 11:52    Post subject:  

I like this package. Used it to localize wary into Russian. Found the problem. It switches time to few hours. The problem is in /etc/rc.country - replaced it with the original but changed one line to except UTF-8 from SFS's rc.country. It changes console font while booting but does not change time. Cannot use Lupu. It's too heavy for my old PC and it hangs up on another one when I put in USB-flash or modem.
Back to top
View user's profile Send private message 
swiatmar


Joined: 09 Aug 2008
Posts: 241
Location: Danube, AT

PostPosted: Wed 13 Apr 2011, 16:07    Post subject:  

Hello shinobar!!
I thought it could interest you:

http://www.hotshare.net/file/371843-57030155bf.html

this is polish translation of puppy files and that what I found until now Smile
Back to top
View user's profile Send private message Visit poster's website 
lcm123

Joined: 22 Apr 2011
Posts: 8

PostPosted: Tue 03 May 2011, 08:44    Post subject:  

I am currently using lucid puppy.

since I am using scim to key-in Japanese, I installed these pets in the system:

1.scim-1.4.9.pup4.4.2.2.1.pet
2.scim-anthy-1.2.7.pup4.4.2.2.1.pet
3.scim-bridge-0.4.16-pup4.pet
4.anthy-9100h.patch13Bptn23/2009527.1.pet

The scim is working fine with these pets installed.

But I also want to have another language input, which is the chinese.

So, I went to www.scim-im.org and downloaded an archive named scim-pinyin-0.5.91.tar.gz

that claims to be able the user to use pinyin to input the chinese.

Since this is not a pet file, how I am going to let my puppy recognize the files inside the archive? For example, where should I extract the folder to? And what are the steps after the extraction? Or I am still lack of some other files to complete my installation?

Please help.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 3 [42 Posts]   Goto page: Previous 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects » Localization Project
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0781s ][ Queries: 13 (0.0054s) ][ GZIP on ]